summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-11-23 16:04:58 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-23 16:04:58 +0100
commit9bd78ccf02fc3dd0872f62b40b5919dff621acfd (patch)
tree4dea789c32780c9a9f10c35f3be6663937272ac7 /bin
parent44018d5e21de5f42612b003b584c3b42b0a8dd2a (diff)
downloadjenkins.debian.net-9bd78ccf02fc3dd0872f62b40b5919dff621acfd.tar.xz
Revert "YOLO: deal with quoted-printable continuation lines, change the '=' at 1st lineend into a space character"
This reverts commit 44018d5e21de5f42612b003b584c3b42b0a8dd2a.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/email2irc.sh3
-rwxr-xr-xbin/reproducible_freebsd.sh2
-rwxr-xr-xbin/reproducible_setup_pbuilder.sh21
3 files changed, 10 insertions, 16 deletions
diff --git a/bin/email2irc.sh b/bin/email2irc.sh
index 33beea41..0871cab9 100755
--- a/bin/email2irc.sh
+++ b/bin/email2irc.sh
@@ -87,8 +87,7 @@ while read -r line ; do
else
# deal with quoted-printable continuation lines: 2nd line/time
# if $MY_LINE ends with '=', then append the next line to $MY_LINE,
- # changing the '=' to a single space.
- MY_2ND_LINE=$(echo $MY_2ND_LINE | sed -s 's#=$# #')
+ # TODO: changing the '=' to a single space.
MY_LINE="$MY_2ND_LINE $MY_LINE"
debug123 "#5" MY_LINE $MY_LINE
debug123 "#6" MY_2ND_LINE $MY_2ND_LINE
diff --git a/bin/reproducible_freebsd.sh b/bin/reproducible_freebsd.sh
index da5c407f..f9d8275b 100755
--- a/bin/reproducible_freebsd.sh
+++ b/bin/reproducible_freebsd.sh
@@ -82,7 +82,7 @@ run_diffoscope_on_results() {
#
# main
#
-#FREEBSD_TARGETS="master stable/11 release/11.0"
+#FREEBSD_TARGETS="master stable/10 release/10.3.0"
# temporarily just build one branch…
FREEBSD_TARGETS="master"
# arrays to save results
diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index bf793104..28bad4fc 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -100,18 +100,13 @@ setup_pbuilder() {
fi
# setup base.tgz
sudo pbuilder --create $pbuilder_http_proxy --basetgz /var/cache/pbuilder/${NAME}-new.tgz --distribution $SUITE --extrapackages "$EXTRA_PACKAGES"
-
- # TODO: add repo only for experimental and sid - keep testing "real" (and sid progressive!)
- # then ximin can upload :)
- if [ "$SUITE" != "testing" ] ; then
- # apply further customisations, eg. install $PACKAGES from our repo
- create_setup_tmpfile ${TMPFILE} "${PACKAGES}"
- if [ "$DEBUG" = "true" ] ; then
- cat "$TMPFILE"
- fi
- sudo pbuilder --execute $pbuilder_http_proxy --save-after-exec --basetgz /var/cache/pbuilder/${NAME}-new.tgz -- ${TMPFILE} | tee ${LOG}
- rm ${TMPFILE}
+ # apply further customisations, eg. install $PACKAGES from our repo
+ create_setup_tmpfile ${TMPFILE} "${PACKAGES}"
+ if [ "$DEBUG" = "true" ] ; then
+ cat "$TMPFILE"
fi
+ sudo pbuilder --execute $pbuilder_http_proxy --save-after-exec --basetgz /var/cache/pbuilder/${NAME}-new.tgz -- ${TMPFILE} | tee ${LOG}
+
# FIXME: this code should be dropped it's just so new that a fixed dpkg is in testing as well… \o/
# finally, confirm things are as they should be
# (we only have modified dpkg left in testing…)
@@ -121,14 +116,14 @@ setup_pbuilder() {
# for PKG in ${PACKAGES} ; do
# egrep "http://reproducible.alioth.debian.org/debian(/|) ./ Packages" ${LOG} \
# | grep -v grep | grep "${PKG} " \
- # || ( echo ; echo "Package ${PKG} is not installed at all or probably rather not in our version, so removing the chroot and exiting now." ; sudo rm -v /var/cache/pbuilder/${NAME}-new.tgz ; rm $LOG ; exit 1 )
+ # || ( echo ; echo "Package ${PKG} is not installed at all or probably rather not in our version, so removing the chroot and exiting now." ; sudo rm -v /var/cache/pbuilder/${NAME}-new.tgz ; rm $TMPFILE $LOG ; exit 1 )
# done
#fi
sudo mv /var/cache/pbuilder/${NAME}-new.tgz /var/cache/pbuilder/${NAME}.tgz
# create stamp file to record initial creation date minus some hours so the file will be older than 24h when checked in <24h...
touch -d "$(date -u -d '6 hours ago' '+%Y-%m-%d %H:%M')" /var/log/jenkins/${NAME}.tgz.stamp
- rm ${LOG}
+ rm ${TMPFILE} ${LOG}
}
#